Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.monte.media.anim
Class ANIMMultiplexer

    java.lang.Object
      org.monte.media.anim.ANIMOutputStream
          org.monte.media.anim.ANIMMultiplexer

All Implemented Interfaces:
  Multiplexer

Direct Known Subclasses:
  ANIMWriter

    public class ANIMMultiplexer

extends ANIMOutputStream
implements Multiplexer

`ANIMMultiplexer`.

Version:
  1.0 2011-02-20 Created.
Author:
  Werner Randelshofer

Field Summary

Fields inherited from class org.monte.media.anim.ANIMOutputStream
`A2024_MONITOR_ID, absTime, DBLNTSC_MONITOR_ID, DBLPAL_MONITOR_ID, DEFAULT_MONITOR_ID, EHB_MODE, EURO36_MONITOR_ID, EURO72_MONITOR_ID, frameCount, HAM_MODE, MODE_MASK, MONITOR_ID_MASK, MULTISCAN_MONITOR_ID, NTSC_MONITOR_ID, PAL_MONITOR_ID, PROTO_MONITOR_ID, SUPER72_MONITOR_ID`

Constructor Summary
`ANIMMultiplexer(java.io.File file)`

Method Summary
`void` | `write(int trackIndex, Buffer buf)` Writes a sample.

Methods inherited from class org.monte.media.anim.ANIMOutputStream
`close, finish, getCAMG, getJiffies, getMovieTime, setCAMG, setJiffies, writeFrame`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.monte.media.Multiplexer
`close`

Constructor Detail

### ANIMMultiplexer

    public ANIMMultiplexer(java.io.File file)
                    throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### write

    public void write(int trackIndex,
                      Buffer buf)
               throws java.io.IOException

  Description copied from interface: `Multiplexer`
  Writes a sample. Does nothing if the discard-flag in the buffer is set to true.

  Specified by:
    `write` in interface `Multiplexer`
  Parameters:
    `trackIndex` - The track number.
    `buf` - The buffer containing the sample data.
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD